Subject: bug#63727: libffi propagation in glib versions causes issues

From: Csepp <[email-masked]>
Date: Mon, 05 Jun 2023 23:50:36 +0200

Csepp <[email-masked]> writes:

> guix upgrade: error: profile contains conflicting entries for libffi
> guix upgrade: error:   first entry: [email-masked] /gnu/store/w8b0l8hk6g0fahj4fvmc4qqm3cvaxnmv-libffi-3.4.4
> guix upgrade: error:    ... propagated from [email-masked]
> guix upgrade: error:    ... propagated from [email-masked]
> guix upgrade: error:    ... propagated from [email-masked]
> guix upgrade: error:   second entry: [email-masked] /gnu/store/wgqhlc12qvlwiklam7hz2r311fdcqfim-libffi-3.3
> guix upgrade: error:    ... propagated from [email-masked]
> guix upgrade: error:    ... propagated from [email-masked]
> guix upgrade: error:    ... propagated from [email-masked]
>
> Why do these need to be propagated?

This issue still persists, stopping me from being able to upgrade.
I also can't have both eog (Eye of GNOME) and the default glib
package installed, so just removing libnotify didn't help, and I'd
rather not play whack-a-mole with removing packages.

Some more insight into why there are multiple propagated versions of
libffi and glib would be greatly appreciated.